%define major			3
%define libname			%mklibname %{name}_ %{major}
%define libnamedev		%mklibname %{name} -d

Summary:	Interface for userspace programs to export a virtual filesystem to the kernel
Name:		fuse3
Version:	3.16.1
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
URL:		https://github.com/libfuse/libfuse/
Source0:	https://github.com/libfuse/libfuse/releases/download/fuse-%{version}/fuse-%{version}.tar.xz
Source2:	fuse-makedev.d-fuse
Patch1:		mount-readlink-hang-workaround.patch
Patch2:		fuse-skip-install_helper-script.patch
BuildRequires:	meson
BuildRequires:	ninja
BuildRequires:	pkgconfig(udev)
Requires:	fuse-common
Requires:	%{libname}

%description
FUSE (Filesystem in USErspace) is a simple interface for userspace
programs to export a virtual filesystem to the linux kernel. FUSE
also aims to provide a secure method for non privileged users to
create and mount their own filesystem implementations.

This package provides FUSE v3 which can be installed alongside
FUSE v2.

%package -n	%{libname}
Summary:	Libraries for fuse
Group:		System/Libraries

%description -n	%{libname}
Libraries for fuse.

%package -n	%{libnamedev}
Summary:	Header files and development libraries for libfuse2
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libnamedev}
Header files and development libraries for fuse.

%package -n fuse-common
Summary:	Common files for File System in Userspace (FUSE) v2 and v3
Group:		System/Libraries
BuildArch:	noarch

%description -n fuse-common
Common files for FUSE v2 and FUSE v3.

%prep
%setup -qn fuse-%{version}
%autopatch -p1

%build
%meson
%meson_build

%install
rm -rf %buildroot
%meson_install

install -Dpm644 util/fuse.conf %{buildroot}%{_sysconfdir}/fuse.conf
install -Dpm644 %{SOURCE2} %{buildroot}%{_sysconfdir}/makedev.d/z-fuse

%files
%attr(0755,root,root) %{_sbindir}/mount.fuse3
%attr(4755,root,root) %{_bindir}/fusermount3
%{_mandir}/man1/fusermount3.1*
%{_mandir}/man8/mount.fuse3.8*

%files -n %{libname}
%{_libdir}/libfuse3.so.%{major}*

%files -n %{libnamedev}
%{_includedir}/%{name}/
%{_libdir}/libfuse3.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n fuse-common
%config(noreplace) %{_sysconfdir}/makedev.d/z-fuse
%config(noreplace) %{_sysconfdir}/fuse.conf


%changelog
* Thu Aug 31 2023 tex - 3.16.1-1pclos2023
- new version

* Sun Jan 22 2023 tex - 3.13.0-1pclos2023
- new version

* Sat Sep 10 2022 tex - 3.12.0-1pclos2022
- new version
